#
# TODO:
# m4 macros from pandora-build (http://code.launchpad.net/pandora-build)
#
# Conditional build
%bcond_without  static_libs	# don't build static library

Summary:	memcached client library
Summary(pl.UTF-8):	Blblioteka kliencka memcached
Name:		libmemcached
Version:	1.0.18
Release:	3
License:	BSD
Group:		Libraries
Source0:	https://launchpad.net/libmemcached/1.0/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	b3958716b4e53ddc5992e6c49d97e819
URL:		http://libmemcached.org/
BuildRequires:	cyrus-sasl-devel
BuildRequires:	libevent-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-tools-pod
BuildRequires:	sphinx-pdg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmemcached is a C and C++ client library to the memcached server
(http://danga.com/memcached). It has been designed to be light on
memory usage, thread safe, and provide full access to server side
methods.

%description -l pl.UTF-8
libmemcached to biblioteka kliencka serwera memcached
(http://danga.com/memcached) dla języków C/C++. Została zaprojektowana
z myślą o niewielkim zużyciu pamięci, bezpieczeństwe i pełnym dostępie
do metod po stronie serwera.

%package devel
Summary:	Header files for memcached library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki memcached
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cyrus-sasl-devel

%description devel
Header files for memcached library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki memcached.

%package static
Summary:	Static memcached library
Summary(pl.UTF-8):	Statyczna biblioteka memcached
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static memcached library.

%description static -l pl.UTF-8
Statyczna biblioteka memcached.

%prep
%setup -q

%build
%configure \
	PTHREAD_CFLAGS="-pthread" \
	PTHREAD_LIBS="-lpthread" \
	--enable-dtrace \
	--enable-libmemcachedprotocol \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-memcached=no # disable memcached detection, we're not doing tests

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/memcapable
%attr(755,root,root) %{_bindir}/memcat
%attr(755,root,root) %{_bindir}/memcp
%attr(755,root,root) %{_bindir}/memdump
%attr(755,root,root) %{_bindir}/memerror
%attr(755,root,root) %{_bindir}/memexist
%attr(755,root,root) %{_bindir}/memflush
%attr(755,root,root) %{_bindir}/memparse
%attr(755,root,root) %{_bindir}/memping
%attr(755,root,root) %{_bindir}/memrm
%attr(755,root,root) %{_bindir}/memslap
%attr(755,root,root) %{_bindir}/memstat
%attr(755,root,root) %{_bindir}/memtouch
%attr(755,root,root) %{_libdir}/libhashkit.so.*.*.*
%attr(755,root,root) %{_libdir}/libmemcached.so.*.*.*
%attr(755,root,root) %{_libdir}/libmemcachedprotocol.so.*.*.*
%attr(755,root,root) %{_libdir}/libmemcachedutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhashkit.so.2
%attr(755,root,root) %ghost %{_libdir}/libmemcached.so.11
%attr(755,root,root) %ghost %{_libdir}/libmemcachedprotocol.so.0
%attr(755,root,root) %ghost %{_libdir}/libmemcachedutil.so.2
%{_mandir}/man1/mem*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhashkit.so
%attr(755,root,root) %{_libdir}/libmemcached.so
%attr(755,root,root) %{_libdir}/libmemcachedprotocol.so
%attr(755,root,root) %{_libdir}/libmemcachedutil.so
%{_libdir}/libhashkit.la
%{_libdir}/libmemcached.la
%{_libdir}/libmemcachedprotocol.la
%{_libdir}/libmemcachedutil.la
%{_includedir}/libhashkit
%{_includedir}/libhashkit-1.0
%{_includedir}/libmemcached
%{_includedir}/libmemcached-1.0
%{_includedir}/libmemcachedprotocol-0.0
%{_includedir}/libmemcachedutil-1.0
%{_pkgconfigdir}/libmemcached.pc
%{_aclocaldir}/ax_libmemcached.m4
%{_mandir}/man3/hashkit_*.3*
%{_mandir}/man3/libhashkit.3*
%{_mandir}/man3/libmemcached*.3*
%{_mandir}/man3/memcached*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libhashkit.a
%{_libdir}/libmemcached.a
%{_libdir}/libmemcachedprotocol.a
%{_libdir}/libmemcachedutil.a
%endif
%changelog
* Sun Apr 02 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmemcached.git;a=log;h=master

* Sun Apr 02 2017 Jan Rękorajski <baggins@pld-linux.org> 0c42653
- rebuild with libevent 2.1.9
- release 3 (by relup.sh)

* Sun Apr 02 2017 Jan Rękorajski <baggins@pld-linux.org> 22504a7
- do not rebuild ac/am

* Thu Mar 26 2015 Elan Ruusamäe <glen@delfi.ee> c4ffaa1
- x32 rebuild
- release 2 (by relup.sh)

* Sat Dec 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 1a91d27
- updated to 1.0.18

* Sun Nov 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 5cfce8b
- fix build with gcc 4.8.x

* Sun Nov 10 2013 Jakub Bogusz <qboosh@pld-linux.org> b048042
- updated to 1.0.17
- added memcached patch (fixes build without memcached daemon installed)

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> e1d032b
- up to 1.0.16, new sonames

* Sat Oct 05 2013 Elan Ruusamäe <glen@delfi.ee> e1c5f7f
- track sonames

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> a676f34
- release 2 (by relup.sh)

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a7fb1d5
- up to 1.0.4

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> 80bcd25
- link with -lpthread
- remove memaslap tool
- new tool: memping

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> 956129d
- updated to 0.52

* Tue Jun 07 2011 lisu <lisu@pld-linux.org> f922b7a
- updated to 0.49
- verbose make
- new binaries

* Fri Mar 18 2011 lisu <lisu@pld-linux.org> 33043ba
- up to 0.48

* Fri Mar 04 2011 lisu <lisu@pld-linux.org> 5cb40f5
- up to 0.47
- new URL

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> c83b9fe
- rel 2 (rebuild against new libevent)

* Wed Feb 16 2011 lisu <lisu@pld-linux.org> 3731723
- 0.46

* Fri Feb 11 2011 lisu <lisu@pld-linux.org> 77fd2f7
- 0.45

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 9944350
- release: 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> bc883c5
- devel R: cyrus-sasl-devel

